API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class SearchableDataGridSelectionEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class SearchableDataGridSelectionEvent
Inheritance | SearchableDataGridSelectionEvent flash.events.Event

Public Properties

| Property | Defined by
--- | --- | ---
|  | selection : Array | SearchableDataGridSelectionEvent

Public Methods

| Method | Defined by
--- | --- | ---
|  | SearchableDataGridSelectionEvent(_type:String, _selection:Array, _bubbles:Boolean = true, _cancelable:Boolean = true) | SearchableDataGridSelectionEvent
|  | clone():Event | SearchableDataGridSelectionEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | ITEM_CLICK : String = "ItemClick" [static] | SearchableDataGridSelectionEvent
|  | ITEM_DOUBLE_CLICK : String = "ItemDoubleClick" [static] | SearchableDataGridSelectionEvent

Property detail

selection | property

`public var selection:Array`
Constructor detail

SearchableDataGridSelectionEvent | () | constructor

`public function SearchableDataGridSelectionEvent(_type:String, _selection:Array, _bubbles:Boolean = true, _cancelable:Boolean = true)`Parameters

| `_type:String`
| `_selection:Array`
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method detail

clone | () | method

`public override function clone():Event`

Returns

| `Event`

Constant detail

ITEM_CLICK | constant

`public static const ITEM_CLICK:String = "ItemClick"`

ITEM_DOUBLE_CLICK | constant |

`public static const ITEM_DOUBLE_CLICK:String = "ItemDoubleClick"`